gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ActionBar

Contents

- Exported types
- Methods
  - getCenterWidget
  - new
  - packEnd
  - packStart
  - setCenterWidget

Description

GtkActionBar is designed to present contextual actions. It is expected to be displayed below the content and expand horizontally to fill the area.

It allows placing children at the start or the end. In addition, it contains an internal centered box which is centered with respect to the full width of the box, even if the children at either side take up different amounts of space.

# CSS nodes

GtkActionBar has a single CSS node with name actionbar.

Synopsis

- newtype ActionBar = ActionBar (ManagedPtr ActionBar)
- class (GObject o, IsDescendantOf ActionBar o) => IsActionBar o
- toActionBar :: (MonadIO m, IsActionBar o) => o -> m ActionBar
- actionBarGetCenterWidget :: (HasCallStack, MonadIO m, IsActionBar a) => a -> m (Maybe Widget)
- actionBarNew :: (HasCallStack, MonadIO m) => m ActionBar
- actionBarPackEnd :: (HasCallStack, MonadIO m, IsActionBar a, IsWidget b) => a -> b -> m ()
- actionBarPackStart :: (HasCallStack, MonadIO m, IsActionBar a, IsWidget b) => a -> b -> m ()
- actionBarSetCenterWidget :: (HasCallStack, MonadIO m, IsActionBar a, IsWidget b) => a -> Maybe b -> m ()

# Exported types

newtype ActionBar Source #

Memory-managed wrapper type.

Constructors

ActionBar (ManagedPtr ActionBar) |

#### Instances

Instances details

Eq ActionBar Source # |
Instance details Defined in GI.Gtk.Objects.ActionBar Methods (==) :: ActionBar -> ActionBar -> Bool Source # (/=) :: ActionBar -> ActionBar -> Bool Source #
GObject ActionBar Source # |
Instance details Defined in GI.Gtk.Objects.ActionBar
ManagedPtrNewtype ActionBar Source # |
Instance details Defined in GI.Gtk.Objects.ActionBar Methods toManagedPtr :: ActionBar -> ManagedPtr ActionBar Source #
TypedObject ActionBar Source # |
Instance details Defined in GI.Gtk.Objects.ActionBar Methods glibType :: IO GType Source #
HasParentTypes ActionBar Source # |
Instance details Defined in GI.Gtk.Objects.ActionBar
IsGValue (Maybe ActionBar) Source # | Convert `ActionBar` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ActionBar Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ActionBar -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ActionBar) Source #
type ParentTypes ActionBar Source # |
Instance details Defined in GI.Gtk.Objects.ActionBar type ParentTypes ActionBar = '[Bin, Container, Widget, Object, ImplementorIface, Buildable]

class (GObject o, IsDescendantOf ActionBar o) => IsActionBar o Source #

Type class for types which can be safely cast to `ActionBar`, for instance with `toActionBar`.

#### Instances

Instances details

(GObject o, IsDescendantOf ActionBar o) => IsActionBar o Source # |
Instance details Defined in GI.Gtk.Objects.ActionBar

toActionBar :: (MonadIO m, IsActionBar o) => o -> m ActionBar Source #

Cast to `ActionBar`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, add, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, bindProperty, bindPropertyFull, canActivateAccel, checkResize, childFocus, childGetProperty, childNotify, childNotifyByPspec, childSetProperty, childType, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forall, forceFloating, foreach, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insertActionGroup, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, packEnd, packStart, parserFinished, path, propagateDraw, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, ref, refSink, regionIntersect, registerWindow, remove, removeAccelerator, removeMnemonicLabel, removeTickCallback, renderIcon, renderIconPixbuf, reparent, resetRcStyles, resetStyle, resizeChildren, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetFocusChain, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getBorderWidth, getCanDefault, getCanFocus, getCenterWidget, getChild, getChildRequisition, getChildVisible, getChildren, getClip, getClipboard, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getEvents, getFocusChain, getFocusChild, getFocusHadjustment, getFocusOnClick, getFocusVadjustment, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHexpand, getHexpandSet, getInternalChild, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getName, getNoShowAll, getOpacity, getPangoContext, getParent, getParentWindow, getPath, getPathForChild, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRequisition, getResizeMode, getRootWindow, getScaleFactor, getScreen, getSensitive, getSettings, getSizeRequest, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBorderWidth, setBuildableProperty, setCanDefault, setCanFocus, setCenterWidget, setChildVisible, setClip, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEvents, setFocusChain, setFocusChild, setFocusHadjustment, setFocusOnClick, setFocusVadjustment, setFontMap, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHexpand, setHexpandSet, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setParent, setParentWindow, setProperty, setRealized, setReallocateRedraws, setReceivesDefault, setRedrawOnAllocate, setResizeMode, setSensitive, setSizeRequest, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## getCenterWidget

actionBarGetCenterWidget Source #

Arguments

:: (HasCallStack, MonadIO m, IsActionBar a) |
=> a | `actionBar`: a `ActionBar`
-> m (Maybe Widget) | Returns: the center `Widget` or `Nothing`.

Retrieves the center bar widget of the bar.

Since: 3.12

## new

actionBarNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m ActionBar | Returns: a new `ActionBar`

Creates a new `ActionBar` widget.

Since: 3.12

## packEnd

actionBarPackEnd Source #

Arguments

:: (HasCallStack, MonadIO m, IsActionBar a, IsWidget b) |
=> a | `actionBar`: A `ActionBar`
-> b | `child`: the `Widget` to be added to `actionBar`
-> m () |

Adds `child` to `actionBar`, packed with reference to the end of the `actionBar`.

Since: 3.12

## packStart

actionBarPackStart Source #

Arguments

:: (HasCallStack, MonadIO m, IsActionBar a, IsWidget b) |
=> a | `actionBar`: A `ActionBar`
-> b | `child`: the `Widget` to be added to `actionBar`
-> m () |

Adds `child` to `actionBar`, packed with reference to the start of the `actionBar`.

Since: 3.12

## setCenterWidget

actionBarSetCenterWidget Source #

Arguments

:: (HasCallStack, MonadIO m, IsActionBar a, IsWidget b) |
=> a | `actionBar`: a `ActionBar`
-> Maybe b | `centerWidget`: a widget to use for the center
-> m () |

Sets the center widget for the `ActionBar`.

Since: 3.12